[19.10 FEAT] Enhanced CPU-MF hardware counters - libpfm part

Bug #1837016 reported by bugproxy on 2019-07-18
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
libpfm4 (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Enhance the CPU-MF hardware counters for improved HW support

New version if libpfm4 is currently not available. but here are the upstream commits.

libpfm4 part (all upsteam available):
b831b04 s390/cpumf: add support for machine type 8561
c08003f s390/cpumf: add support for counter second version number 6
dc643f4 s390/cpumf: add IBM z14 ZR1 support

bugproxy (bugproxy) on 2019-07-18
tags: added: architecture-s39064 bugnameltc-179034 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → libpfm4 (Ubuntu)
Frank Heimes (fheimes) wrote :

These 3 commits are upstream accepted, but not yet version tagged.
Hence they need to be applied on top of package version 4.10.1.

Changed in ubuntu-z-systems:
status: New → Triaged

------- Comment From <email address hidden> 2019-07-18 05:40 EDT-------
Documented git commits are targeted for 4.11..

Git commit required for backport into libpfm 4.10.1

Frank Heimes (fheimes) on 2019-07-18
Changed in ubuntu-z-systems:
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
information type: Private → Public
Changed in libpfm4 (Ubuntu):
status: New → In Progress
Changed in libpfm4 (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpfm4 - 4.10.1+git10-gd2a5b56-1ubuntu1

---------------
libpfm4 (4.10.1+git10-gd2a5b56-1ubuntu1) eoan; urgency=medium

  * New patches from upstream LP: #1837016
    815ff28 add OFFCORE_RESPONSE.DMND_CODE_RD on Intel Broadwell
    b831b04 s390/cpumf: add support for machine type 8561
    c08003f s390/cpumf: add support for counter second version number 6
    dc643f4 s390/cpumf: add IBM z14 ZR1 support

 -- Dimitri John Ledkov <email address hidden> Mon, 12 Aug 2019 12:31:11 +0100

Changed in libpfm4 (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2019-08-12
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-08-13 03:47 EDT-------
IBM Bugzilla status -> closed, Fix Released with Eoan

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers